<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="e7cd156b-23fc-410f-9ecc-be34a2e87174" name="Default Changelist" comment="12chenyi">
      <change afterPath="$PROJECT_DIR$/RMS/src/main/java/cn/cslg/report/common/config/WebMvcConfig.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/RMS/src/main/java/cn/cslg/report/common/config/WebSocketConfig.java" beforeDir="false" afterPath="$PROJECT_DIR$/RMS/src/main/java/cn/cslg/report/common/config/WebSocketConfig.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/RMS/src/main/java/cn/cslg/report/common/model/vo/PatentVO.java" beforeDir="false" afterPath="$PROJECT_DIR$/RMS/src/main/java/cn/cslg/report/common/model/vo/PatentVO.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/RMS/src/main/java/cn/cslg/report/controller/CompareController.java" beforeDir="false" afterPath="$PROJECT_DIR$/RMS/src/main/java/cn/cslg/report/controller/CompareController.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/RMS/src/main/java/cn/cslg/report/service/OutInterfaceService.java" beforeDir="false" afterPath="$PROJECT_DIR$/RMS/src/main/java/cn/cslg/report/service/OutInterfaceService.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/RMS/src/main/java/cn/cslg/report/service/business/CompareFilesService.java" beforeDir="false" afterPath="$PROJECT_DIR$/RMS/src/main/java/cn/cslg/report/service/business/CompareFilesService.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/RMS/src/main/java/cn/cslg/report/service/business/FeatureService.java" beforeDir="false" afterPath="$PROJECT_DIR$/RMS/src/main/java/cn/cslg/report/service/business/FeatureService.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/RMS/src/main/java/cn/cslg/report/service/business/ReportDocumentService.java" beforeDir="false" afterPath="$PROJECT_DIR$/RMS/src/main/java/cn/cslg/report/service/business/ReportDocumentService.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/RMS/src/main/java/cn/cslg/report/service/business/TaskService.java" beforeDir="false" afterPath="$PROJECT_DIR$/RMS/src/main/java/cn/cslg/report/service/business/TaskService.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/RMS/src/main/resources/mapper/AssoTaskPersonelMapper.xml" beforeDir="false" afterPath="$PROJECT_DIR$/RMS/src/main/resources/mapper/AssoTaskPersonelMapper.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/RMS/target/classes/cn/cslg/report/common/config/WebSocketConfig.class" beforeDir="false" afterPath="$PROJECT_DIR$/RMS/target/classes/cn/cslg/report/common/config/WebSocketConfig.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/RMS/target/classes/cn/cslg/report/common/model/vo/PatentVO.class" beforeDir="false" afterPath="$PROJECT_DIR$/RMS/target/classes/cn/cslg/report/common/model/vo/PatentVO.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/RMS/target/classes/cn/cslg/report/controller/AvoidDesignDirectionController.class" beforeDir="false" afterPath="$PROJECT_DIR$/RMS/target/classes/cn/cslg/report/controller/AvoidDesignDirectionController.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/RMS/target/classes/cn/cslg/report/mapper/CompareMessageMapper.class" beforeDir="false" afterPath="$PROJECT_DIR$/RMS/target/classes/cn/cslg/report/mapper/CompareMessageMapper.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/RMS/target/classes/cn/cslg/report/service/IAvoidDesignDirectionService.class" beforeDir="false" afterPath="$PROJECT_DIR$/RMS/target/classes/cn/cslg/report/service/IAvoidDesignDirectionService.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/RMS/target/classes/cn/cslg/report/service/business/CompareFilesService.class" beforeDir="false" afterPath="$PROJECT_DIR$/RMS/target/classes/cn/cslg/report/service/business/CompareFilesService.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/RMS/target/classes/cn/cslg/report/service/business/CompareMessageService.class" beforeDir="false" afterPath="$PROJECT_DIR$/RMS/target/classes/cn/cslg/report/service/business/CompareMessageService.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/RMS/target/classes/cn/cslg/report/service/business/FeatureService.class" beforeDir="false" afterPath="$PROJECT_DIR$/RMS/target/classes/cn/cslg/report/service/business/FeatureService.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/RMS/target/classes/cn/cslg/report/service/business/ReportDocumentService.class" beforeDir="false" afterPath="$PROJECT_DIR$/RMS/target/classes/cn/cslg/report/service/business/ReportDocumentService.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/RMS/target/classes/cn/cslg/report/service/business/ReportService.class" beforeDir="false" afterPath="$PROJECT_DIR$/RMS/target/classes/cn/cslg/report/service/business/ReportService.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/RMS/target/classes/cn/cslg/report/service/business/TaskService.class" beforeDir="false" afterPath="$PROJECT_DIR$/RMS/target/classes/cn/cslg/report/service/business/TaskService.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/RMS/target/classes/cn/cslg/report/service/impl/AvoidDesignDirectionServiceImpl.class" beforeDir="false" afterPath="$PROJECT_DIR$/RMS/target/classes/cn/cslg/report/service/impl/AvoidDesignDirectionServiceImpl.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/RMS/target/classes/mapper/AssoTaskPersonelMapper.xml" beforeDir="false" afterPath="$PROJECT_DIR$/RMS/target/classes/mapper/AssoTaskPersonelMapper.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/RMS/target/classes/mapper/CompareMessageMapper.xml" beforeDir="false" afterPath="$PROJECT_DIR$/RMS/target/classes/mapper/CompareMessageMapper.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/logs/rms/rms-debug.log" beforeDir="false" afterPath="$PROJECT_DIR$/logs/rms/rms-debug.log" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/logs/rms/rms-error.log" beforeDir="false" afterPath="$PROJECT_DIR$/logs/rms/rms-error.log" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/logs/rms/rms-info.log" beforeDir="false" afterPath="$PROJECT_DIR$/logs/rms/rms-info.log" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Interface" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_BRANCH_BY_REPOSITORY">
      <map>
        <entry key="$PROJECT_DIR$" value="master" />
      </map>
    </option>
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="GitSEFilterConfiguration">
    <file-type-list>
      <filtered-out-file-type name="LOCAL_BRANCH" />
      <filtered-out-file-type name="REMOTE_BRANCH" />
      <filtered-out-file-type name="TAG" />
      <filtered-out-file-type name="COMMIT_BY_MESSAGE" />
    </file-type-list>
  </component>
  <component name="HighlightingSettingsPerFile">
    <setting file="file://$PROJECT_DIR$/RMS/src/main/java/cn/cslg/report/service/business/AssoTaskPersonelService.java" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/RMS/src/main/resources/application.yml" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/RMS/src/main/java/cn/cslg/report/controller/BaseController.java" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/RMS/src/main/java/cn/cslg/report/common/config/InnerInterceptor/LizzMybatisIntercepts.java" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/RMS/src/main/java/cn/cslg/report/service/business/ReportService.java" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/RMS/src/main/java/cn/cslg/report/common/utils/auth/TreeUtils.java" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/RMS/src/main/java/cn/cslg/report/service/BaseService.java" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/RMS/src/main/java/cn/cslg/report/common/model/vo/PersonnelVO.java" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/RMS/src/main/resources/application-dev.yml" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/RMS/src/main/java/cn/cslg/report/service/OutInterfaceService.java" root0="FORCE_HIGHLIGHTING" />
  </component>
  <component name="ProjectId" id="2JADGkpubIwxnMp31DlLxSpGoB3" />
  <component name="ProjectLevelVcsManager">
    <ConfirmationsSetting value="1" id="Add" />
    <ConfirmationsSetting value="2" id="Remove" />
  </component>
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="ASKED_SHARE_PROJECT_CONFIGURATION_FILES" value="true" />
    <property name="DatabaseDriversLRU" value="mysql" />
    <property name="RequestMappingsPanelOrder0" value="0" />
    <property name="RequestMappingsPanelOrder1" value="1" />
    <property name="RequestMappingsPanelWidth0" value="75" />
    <property name="RequestMappingsPanelWidth1" value="75" />
    <property name="RunOnceActivity.OpenProjectViewOnStart" value="true" />
    <property name="RunOnceActivity.ShowReadmeOnStart" value="true" />
    <property name="SONARLINT_PRECOMMIT_ANALYSIS" value="true" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/RMS/src/main/java/cn/cslg/report" />
    <property name="node.js.detected.package.eslint" value="true" />
    <property name="node.js.detected.package.tslint" value="true" />
    <property name="node.js.selected.package.eslint" value="(autodetect)" />
    <property name="node.js.selected.package.tslint" value="(autodetect)" />
    <property name="settings.editor.selected.configurable" value="project.propVCSSupport.Mappings" />
    <property name="vue.rearranger.settings.migration" value="true" />
  </component>
  <component name="ReactorSettings">
    <option name="notificationShown" value="true" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="E:\IDEAProject\RMS_Backend\RMS\src\main\java\cn\cslg\report" />
    </key>
    <key name="MoveFile.RECENT_KEYS">
      <recent name="E:\IDEAProject\RMS_Backend\RMS\src\main\resources\mapper" />
    </key>
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="cn.cslg.report.common.model.dto" />
      <recent name="cn.cslg.report.pojo.vo" />
      <recent name="cn.cslg.report.common.config" />
    </key>
  </component>
  <component name="RunManager">
    <configuration default="true" type="ArquillianJUnit" factoryName="" nameIsGenerated="true">
      <option name="arquillianRunConfiguration">
        <value>
          <option name="containerStateName" value="" />
        </value>
      </option>
      <option name="TEST_OBJECT" value="class" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="Application" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot">
      <module name="RMS" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="cn.cslg.report.Application" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="e7cd156b-23fc-410f-9ecc-be34a2e87174" name="Default Changelist" comment="" />
      <created>1671511900387</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1671511900387</updated>
      <workItem from="1671511902044" duration="19866000" />
      <workItem from="1671539384819" duration="6630000" />
      <workItem from="1671585394564" duration="1889000" />
      <workItem from="1673232805752" duration="20679000" />
      <workItem from="1673314193726" duration="396000" />
      <workItem from="1673314631144" duration="15878000" />
      <workItem from="1673400625616" duration="625000" />
      <workItem from="1673486700261" duration="13352000" />
      <workItem from="1673573452163" duration="5664000" />
      <workItem from="1675647264099" duration="26450000" />
      <workItem from="1675732443639" duration="22610000" />
      <workItem from="1675819315507" duration="11585000" />
    </task>
    <task id="LOCAL-00001" summary="12.20 陈宇">
      <created>1671533439152</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1671533439152</updated>
    </task>
    <task id="LOCAL-00002" summary="12.20 陈宇">
      <created>1671539621936</created>
      <option name="number" value="00002" />
      <option name="presentableId" value="LOCAL-00002" />
      <option name="project" value="LOCAL" />
      <updated>1671539621936</updated>
    </task>
    <task id="LOCAL-00003" summary="12.20 陈宇">
      <created>1671546004898</created>
      <option name="number" value="00003" />
      <option name="presentableId" value="LOCAL-00003" />
      <option name="project" value="LOCAL" />
      <updated>1671546004898</updated>
    </task>
    <task id="LOCAL-00004" summary="12.20 chenyi">
      <created>1673250297145</created>
      <option name="number" value="00004" />
      <option name="presentableId" value="LOCAL-00004" />
      <option name="project" value="LOCAL" />
      <updated>1673250297145</updated>
    </task>
    <task id="LOCAL-00005" summary="12.20 chenyi">
      <created>1673258736217</created>
      <option name="number" value="00005" />
      <option name="presentableId" value="LOCAL-00005" />
      <option name="project" value="LOCAL" />
      <updated>1673258736217</updated>
    </task>
    <task id="LOCAL-00006" summary="12.20 chenyi">
      <created>1673346654153</created>
      <option name="number" value="00006" />
      <option name="presentableId" value="LOCAL-00006" />
      <option name="project" value="LOCAL" />
      <updated>1673346654153</updated>
    </task>
    <task id="LOCAL-00007" summary="12chenyi">
      <created>1673486742941</created>
      <option name="number" value="00007" />
      <option name="presentableId" value="LOCAL-00007" />
      <option name="project" value="LOCAL" />
      <updated>1673486742941</updated>
    </task>
    <task id="LOCAL-00008" summary="12chenyi">
      <created>1673486772664</created>
      <option name="number" value="00008" />
      <option name="presentableId" value="LOCAL-00008" />
      <option name="project" value="LOCAL" />
      <updated>1673486772664</updated>
    </task>
    <task id="LOCAL-00009" summary="12chenyi">
      <created>1673519516759</created>
      <option name="number" value="00009" />
      <option name="presentableId" value="LOCAL-00009" />
      <option name="project" value="LOCAL" />
      <updated>1673519516759</updated>
    </task>
    <task id="LOCAL-00010" summary="12chenyi">
      <created>1673573541746</created>
      <option name="number" value="00010" />
      <option name="presentableId" value="LOCAL-00010" />
      <option name="project" value="LOCAL" />
      <updated>1673573541746</updated>
    </task>
    <task id="LOCAL-00011" summary=" 2/6 lrj">
      <created>1675667280728</created>
      <option name="number" value="00011" />
      <option name="presentableId" value="LOCAL-00011" />
      <option name="project" value="LOCAL" />
      <updated>1675667280728</updated>
    </task>
    <task id="LOCAL-00012" summary="2/6 lrj">
      <created>1675672469033</created>
      <option name="number" value="00012" />
      <option name="presentableId" value="LOCAL-00012" />
      <option name="project" value="LOCAL" />
      <updated>1675672469033</updated>
    </task>
    <option name="localTasksCounter" value="13" />
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State />
          </value>
        </entry>
      </map>
    </option>
    <option name="oldMeFiltersMigrated" value="true" />
  </component>
  <component name="VcsManagerConfiguration">
    <MESSAGE value="12.20 陈宇" />
    <MESSAGE value="12.20 chenyi" />
    <MESSAGE value="12chenyi" />
    <MESSAGE value=" 2/6 lrj" />
    <MESSAGE value="2/6 lrj" />
    <option name="LAST_COMMIT_MESSAGE" value="2/6 lrj" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/RMS/src/main/java/cn/cslg/report/service/business/TaskService.java</url>
          <line>788</line>
          <option name="timeStamp" value="20" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
    <pin-to-top-manager>
      <pinned-members>
        <PinnedItemInfo parentTag="cn.cslg.report.common.model.vo.SplitVO" memberName="ReportId" />
      </pinned-members>
    </pin-to-top-manager>
  </component>
</project>